<?php
/*---------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Terry Broullette (GRIMLOCH)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."avatar_studio/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."avatar_studio/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."avatar_studio/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."avatar_studio/locale/English.php";
}

// Infusion Information
$inf_title = $locale['AST_title'];
$inf_description = $locale['AST_description'];
$inf_version = "1.00";
$inf_developer = "Terry Broullette";
$inf_email = "webmaster@nwrcc.com";
$inf_weburl = "http://www.nwrcc.com";

$inf_folder = "avatar_studio"; // The folder in which the infusion resides.

$inf_admin_image = "";
$inf_admin_panel = "";

$inf_newtables = 0;
$inf_altertables = 0;
$inf_deldbrows = 0;

$inf_newtable_[1] = "";
$inf_droptable_[1] = "";
$inf_altertable_[1] = "";
$inf_deldbrow_[1] = "";

$inf_sitelink[1] = array(
	"title" => $locale['AST_link'],
	"url" => "avatar_studio.php",
	"visibility" => "101"
);
?>